LinuxQuestions.org
Help answer threads with 0 replies.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Debian
User Name
Password
Debian This forum is for the discussion of Debian Linux.

Notices



Reply
 
Search this Thread
Old 10-24-2009, 10:40 AM   #1
frenchn00b
Senior Member
 
Registered: Jun 2007
Location: E.U., Mountains :-)
Distribution: Debian, Etch, the greatest
Posts: 2,546

Rep: Reputation: 51
why for ksystraycmd, I should install all KDE in SQUEEZE; it wasnt with Lenny :(


Code:
# apt-get install kdebase-workspace-bin
Reading package lists... Done                                
Building dependency tree                                     
Reading state information... Done                            
The following extra packages will be installed:              
  google-gadgets-common google-gadgets-gst google-gadgets-qt google-gadgets-xul kdebase-workspace-data
  kdebase-workspace-kgreet-plugins ksysguardd libeet1 libggadget-1.0-0 libggadget-qt-1.0-0 libgps18   
  libkde4-ruby1.8 libkephal4 libkfontinst4 libkscreensaver5 libksgrd4 libkworkspace4 libnepomukquery4 
  libnepomukqueryclient4 libplasma-applet-system-monitor4 libplasma-geolocation-interface4 libplasma-ruby
  libplasma-ruby1.8 libplasmaclock4 libpolkit-qt0 libprocesscore4 libprocessui4 libqedje0a libqimageblitz4
  libqt4-ruby1.8 libqtruby4shared2 libqzion0a libsensors3 libsmokekde4-2 libsmokeplasma2 libsmokeqt4-2    
  libsolidcontrol4 libsolidcontrolifaces4 libstrigiqtdbusclient0 libtaskmanager4 libweather-ion4          
  libxklavier12 oxygencursors plasma-dataengines-workspace plasma-scriptengine-googlegadgets              
  plasma-scriptengine-javascript plasma-scriptengine-python plasma-scriptengine-qedje                     
  plasma-scriptengine-ruby plasma-scriptengine-superkaramba plasma-scriptengine-webkit plasma-scriptengines
  plasma-widgets-workspace python-kde4 ruby1.8                                                             
Suggested packages:                                                                                        
  lm-sensors iso-codes plasma-scriptengine-kimono ruby1.8-examples rdoc1.8 ri1.8                           
The following NEW packages will be installed:                                                              
  google-gadgets-common google-gadgets-gst google-gadgets-qt google-gadgets-xul kdebase-workspace-bin      
  kdebase-workspace-data kdebase-workspace-kgreet-plugins ksysguardd libeet1 libggadget-1.0-0              
  libggadget-qt-1.0-0 libgps18 libkde4-ruby1.8 libkephal4 libkfontinst4 libkscreensaver5 libksgrd4         
  libkworkspace4 libnepomukquery4 libnepomukqueryclient4 libplasma-applet-system-monitor4                  
  libplasma-geolocation-interface4 libplasma-ruby libplasma-ruby1.8 libplasmaclock4 libpolkit-qt0
  libprocesscore4 libprocessui4 libqedje0a libqimageblitz4 libqt4-ruby1.8 libqtruby4shared2 libqzion0a
  libsensors3 libsmokekde4-2 libsmokeplasma2 libsmokeqt4-2 libsolidcontrol4 libsolidcontrolifaces4
  libstrigiqtdbusclient0 libtaskmanager4 libweather-ion4 libxklavier12 oxygencursors
  plasma-dataengines-workspace plasma-scriptengine-googlegadgets plasma-scriptengine-javascript
  plasma-scriptengine-python plasma-scriptengine-qedje plasma-scriptengine-ruby
  plasma-scriptengine-superkaramba plasma-scriptengine-webkit plasma-scriptengines plasma-widgets-workspace
  python-kde4 ruby1.8
0 upgraded, 56 newly installed, 0 to remove and 2 not upgraded.
Need to get 80.1MB/80.2MB of archives.
After this operation, 165MB of additional disk space will be used.
Do you want to continue [Y/n]?
 
Old 10-24-2009, 10:58 AM   #2
the trooper
Senior Member
 
Registered: Jun 2006
Location: England
Distribution: Debian Testing/Unstable Amd64
Posts: 1,476

Rep: Reputation: Disabled
Here's what i get:

Code:
Pc1:~# aptitude install -s kdebase-workspace-bin
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Reading extended state information      
Initializing package states... Done
Reading task descriptions... Done  
The following NEW packages will be installed:
  kaboom{a} kdebase-workspace-bin kdebase-workspace-data{a} kdebase-workspace-kgreet-plugins{a} 
  kdepimlibs-data{a} kdepimlibs5{a} libakonadiprivate1{a} libboost-program-options1.39.0{a} 
  libgps18{a} libical0{a} libkephal4{a} libkfontinst4{a} libkscreensaver5{a} libksgrd4{a} 
  libkworkspace4{a} libnepomukquery4{a} libnepomukqueryclient4{a} 
  libplasma-applet-system-monitor4{a} libplasma-geolocation-interface4{a} libplasmaclock4{a} 
  libpolkit-qt0{a} libprocesscore4{a} libprocessui4{a} libqimageblitz4{a} libsolidcontrol4{a} 
  libsolidcontrolifaces4{a} libstrigiqtdbusclient0{a} libtaskmanager4{a} libweather-ion4{a} 
  libxklavier12{a} libxss1{a} oxygencursors{a} plasma-dataengines-workspace{a} 
  plasma-widgets-workspace{a} 
The following packages are RECOMMENDED but will NOT be installed:
  ksysguardd plasma-scriptengines
This could be because i configure apt to not install recommended or suggested packages.
This is done using the /etc/apt/apt.conf file,here's what's in mine:

Code:
ade@Pc1:~$ cat /etc/apt/apt.conf
APT::Default-Release "testing";
APT::Install-Recommends "0";
APT::Install-Suggests "0";
If you don't have this file create it, and add the lines for recommends and suggests.Then apt-get update,then try installing again.
 
Old 10-24-2009, 01:24 PM   #3
craigevil
Senior Member
 
Registered: Apr 2005
Location: OZ
Distribution: Debian Sid
Posts: 4,734
Blog Entries: 12

Rep: Reputation: 457Reputation: 457Reputation: 457Reputation: 457Reputation: 457
Lenny is kde3.5.10, Squeeze has kde4 big difference.
Code:
$ apt-get install -s kdebase-workspace-bin
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following extra packages will be installed:
  kaboom kdebase-runtime kdebase-runtime-data kdebase-workspace-data kdebase-workspace-kgreet-plugins kdelibs-bin kdelibs5 kdelibs5-data kdepimlibs-data
  kdepimlibs5 libakonadiprivate1 libavutil49 libboost-program-options1.39.0 libclucene0ldbl libexiv2-5 libgps18 libkephal4 libkfontinst4
  libknotificationitem-1-1 libkscreensaver5 libksgrd4 libkworkspace4 libnepomukquery4 libnepomukqueryclient4 libplasma-applet-system-monitor4
  libplasma-geolocation-interface4 libplasma3 libplasmaclock4 libpolkit-qt0 libprocesscore4 libprocessui4 libqimageblitz4 libqt4-opengl libqt4-qt3support
  libsolidcontrol4 libsolidcontrolifaces4 libsoprano4 libstreamanalyzer0 libstreams0 libstrigiqtdbusclient0 libtaskmanager4 libweather-ion4 libxcb-shape0
  libxcb-shm0 libxcb-xv0 libxine1 libxine1-bin libxine1-console libxine1-ffmpeg libxine1-misc-plugins libxine1-plugins libxine1-x libxklavier15
  libxml2-utils oxygen-icon-theme oxygencursors phonon phonon-backend-xine plasma-dataengines-workspace plasma-widgets-workspace soprano-daemon
Suggested packages:
  djvulibre-bin hspell akonadi-server gxine xine-ui libxine1-doc libxine-doc libxine1-gnome phonon-backend-gstreamer phonon-backend-vlc
  phonon-backend-mplayer
Recommended packages:
  plasma-scriptengines exiv2 ksysguardd
0 upgraded, 62 newly installed, 0 to remove and 0 not upgraded.

Also helps if you have suggests and recommends disabled.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
KDE 4.3 in Squeeze, what did they DO??? jlinkels Debian 12 10-11-2009 09:51 AM
openoffice 'Javaldx failed!" Debian lenny squeeze kaz2100 Debian 0 02-23-2009 07:27 AM
Lenny->Squeeze: keyboard problem jdkaye Debian 2 02-17-2009 09:11 AM
Lenny + 1 = Squeeze rickh Linux - General 6 09-02-2008 12:36 AM
Access a windows partition on a SATA that wasnt mounted at install through knoppix zerocle Debian 3 02-14-2007 01:54 PM


All times are GMT -5. The time now is 11:37 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration